DayCounter::Impl Class Referenceabstract
Date and time calculations

abstract base class for day counter implementations More...

`#include <ql/time/daycounter.hpp>`

## Public Member Functions

virtual std::string | name () const =0
virtual BigInteger | dayCount (const Date &d1, const Date &d2) const
| to be overloaded by more complex day counters
virtual Time | yearFraction (const Date &d1, const Date &d2, const Date &refPeriodStart, const Date &refPeriodEnd) const =0

## Detailed Description

abstract base class for day counter implementations